1. AC Question's Avatar
    Google Play said the device is not compatible. Running 4.4.4 Kit Kat
    02-16-2016 07:55 PM
  2. B. Diddy's Avatar
    Welcome to Android Central! There are various reasons why an app might be considered incompatible with a device. It might be an issue with the chipset, or the firmware. Are those games available on other app stores, like Amazon, GetJar or SlideMe?
    02-17-2016 02:06 AM

Similar Threads

  1. How can I force my M8 to use a custom text tone?
    By AC Question in forum HTC One M8
    Replies: 4
    Last Post: 02-24-2016, 03:58 PM
  2. just got the S6. How do i put in my sim card
    By AC Question in forum Ask a Question
    Replies: 3
    Last Post: 02-18-2016, 12:27 AM
  3. Replies: 1
    Last Post: 02-17-2016, 02:08 AM
  4. How can I remove the recent contact list when starting a new text message?
    By AC Question in forum General Help and How To
    Replies: 0
    Last Post: 02-16-2016, 07:31 PM
  5. Replies: 0
    Last Post: 02-16-2016, 07:28 PM
LINK TO POST COPIED TO CLIPBOARD